jOmnis.callbackObject = {
    hideOption: null, // HTML element for the hide option.
    explodeOption: null, // HTML element for the explode option.
    isLastTab: false,
    omnisOnLoad: function() {
        this.hideOption = document.getElementById("hide-option");
        this.explodeOption = document.getElementById("explode-option");
    	if (navigator.appVersion.indexOf("Win") != -1) $("li").css("background-color","#f0f0f0");
    },
    omnisGetData: function() {
        return this.isLastTab;
    },
    omnisSetData: function(isLastTab) {
        // Remove thie hide/explode option if there's only one tab left.
        if (isLastTab) {
            this.hideOption.style.display = "none";
            this.explodeOption.style.display = "none";
        }

        this.isLastTab = isLastTab;
    },
    // Send which option the user clicked back to Omnis.
    sendOption: function(choice) {
        jOmnis.sendControlEvent({ "Choice": choice });
    }
};
